petsc-3.7.1 2016-05-15
Report Typos and Errors

# MATSOLVERMUMPS

A matrix type providing direct solvers (LU and Cholesky) for distributed and sequential matrices via the external package MUMPS. Works with MATAIJ and MATSBAIJ matrices Many br

Use ./configure --download-mumps --download-scalapack --download-parmetis --download-metis --download-ptscotch to have PETSc installed with MUMPS Many br

Use -pc_type cholesky or lu -pc_factor_mat_solver_package mumps to us this direct solver Many br

### Options Database Keys

| -mat_mumps_icntl_1 | - ICNTL(1): output stream for error messages Many br
| -mat_mumps_icntl_2 | - ICNTL(2): output stream for diagnostic printing, statistics, and warning Many br
| -mat_mumps_icntl_3 | - ICNTL(3): output stream for global information, collected on the host Many br
| -mat_mumps_icntl_4 | - ICNTL(4): level of printing (0 to 4) Many br
| -mat_mumps_icntl_6 | - ICNTL(6): permutes to a zero-free diagonal and/or scale the matrix (0 to 7) Many br
| -mat_mumps_icntl_7 | - ICNTL(7): computes a symmetric permutation in sequential analysis (0 to 7). 3=Scotch, 4=PORD, 5=Metis Many br
| -mat_mumps_icntl_8 | - ICNTL(8): scaling strategy (-2 to 8 or 77) Many br
| -mat_mumps_icntl_10 | - ICNTL(10): max num of refinements Many br
| -mat_mumps_icntl_11 | - ICNTL(11): statistics related to an error analysis (via -ksp_view) Many br
| -mat_mumps_icntl_12 | - ICNTL(12): an ordering strategy for symmetric matrices (0 to 3) Many br
| -mat_mumps_icntl_13 | - ICNTL(13): parallelism of the root node (enable ScaLAPACK) and its splitting Many br
| -mat_mumps_icntl_14 | - ICNTL(14): percentage increase in the estimated working space Many br
| -mat_mumps_icntl_19 | - ICNTL(19): computes the Schur complement Many br
| -mat_mumps_icntl_22 | - ICNTL(22): in-core/out-of-core factorization and solve (0 or 1) Many br
| -mat_mumps_icntl_23 | - ICNTL(23): max size of the working memory (MB) that can allocate per processor Many br
| -mat_mumps_icntl_24 | - ICNTL(24): detection of null pivot rows (0 or 1) Many br
| -mat_mumps_icntl_25 | - ICNTL(25): compute a solution of a deficient matrix and a null space basis Many br
| -mat_mumps_icntl_26 | - ICNTL(26): drives the solution phase if a Schur complement matrix Many br
| -mat_mumps_icntl_28 | - ICNTL(28): use 1 for sequential analysis and ictnl(7) ordering, or 2 for parallel analysis and ictnl(29) ordering Many br
| -mat_mumps_icntl_29 | - ICNTL(29): parallel ordering 1 = ptscotch, 2 = parmetis Many br
| -mat_mumps_icntl_30 | - ICNTL(30): compute user-specified set of entries in inv(A) Many br
| -mat_mumps_icntl_31 | - ICNTL(31): indicates which factors may be discarded during factorization Many br
| -mat_mumps_icntl_33 | - ICNTL(33): compute determinant Many br
| -mat_mumps_cntl_1 | - CNTL(1): relative pivoting threshold Many br
| -mat_mumps_cntl_2 | - CNTL(2): stopping criterion of refinement Many br
| -mat_mumps_cntl_3 | - CNTL(3): absolute pivoting threshold Many br
| -mat_mumps_cntl_4 | - CNTL(4): value for static pivoting Many br
| -mat_mumps_cntl_5 | - CNTL(5): fixation for null pivots Many br

Many br

### See Also

PCFactorSetMatSolverPackage(), MatSolverPackage

Level:beginner
Location:src/mat/impls/aij/mpi/mumps/mumps.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex52.c.html
src/ksp/ksp/examples/tutorials/ex53.c.html
src/ksp/ksp/examples/tutorials/ex52f.F.html